﻿@model VirtualCarGarage.MVC.Models.CarDetailsViewModel;

@{ ViewData["Title"] = "Details"; }
@{ Layout = "~/Views/Shared/_Layout.cshtml"; }

<div class="container mt-3">
    <div class="text-center">
        <h1 class="text-dark font-weight-bolder">Car - Detailed Info</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.CarId)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.ManufacturerName)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.ModelName)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.LicensePlate)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.YearOfManufacture)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.CarIDNumber)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.OwnerName)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.ServiceHistoryId)
                    </th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => Model.CarId)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => Model.ManufacturerName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => Model.ModelName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => Model.LicensePlate)
                    </td>                            
                    <td>
                        @Html.DisplayFor(modelItem => Model.YearOfManufacture)
                    </td>                             
                    <td>
                        @Html.DisplayFor(modelItem => Model.CarIDNumber)
                    </td>                             
                    <td>
                        @Html.DisplayFor(modelItem => Model.OwnerName)
                    </td>
                    <td>
                        <a asp-controller="ServiceHistories" asp-action="Details" asp-route-id="@Model.ServiceHistoryId">View Service History</a>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>